cascading.tap.local

## Class StdOutTap

- java.lang.Object
- - cascading.tap.Tap<Config,Void,Output>
  - - cascading.tap.SinkTap<Properties,OutputStream>
    - - cascading.tap.local.StdOutTap

All Implemented Interfaces:
  FlowElement, ScopedElement, Traceable, Serializable

    public class StdOutTap
    extends SinkTap<Properties,OutputStream>

Class StdOutTap provides a local mode tap for writing data to the `stdout` stream.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StdOutTap(Scheme<Properties,?,OutputStream,?,?> scheme)`

### Method Summary

Methods
`boolean` `createResource(Properties conf)`
`boolean` `deleteResource(Properties conf)`
`String` `getIdentifier()`
`long` `getModifiedTime(Properties conf)`
`TupleEntryCollector` `openForWrite(FlowProcess<? extends Properties> flowProcess, OutputStream output)`
`boolean` `resourceExists(Properties conf)`

### Methods inherited from class cascading.tap.SinkTap

`getSourceFields, isSource, openForRead, prepareResourceForRead, sourceConfInit`

### Methods inherited from class cascading.tap.Tap

`commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkFields, getSinkMode, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSink, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, sinkConfInit, taps, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StdOutTap

    public StdOutTap(Scheme<Properties,?,OutputStream,?,?> scheme)

### Method Detail

#### getIdentifier

    public String getIdentifier()

Specified by:
  `getIdentifier` in class `Tap<Properties,Void,OutputStream>`

#### openForWrite

    public TupleEntryCollector openForWrite(FlowProcess<? extends Properties> flowProcess,
                                   OutputStream output)
                                     throws IOException

Specified by:
  `openForWrite` in class `Tap<Properties,Void,OutputStream>`
Throws:
  `IOException`

#### createResource

    public boolean createResource(Properties conf)
                           throws IOException

Specified by:
  `createResource` in class `Tap<Properties,Void,OutputStream>`
Throws:
  `IOException`

#### deleteResource

    public boolean deleteResource(Properties conf)
                           throws IOException

Specified by:
  `deleteResource` in class `Tap<Properties,Void,OutputStream>`
Throws:
  `IOException`

#### resourceExists

    public boolean resourceExists(Properties conf)
                           throws IOException

Specified by:
  `resourceExists` in class `Tap<Properties,Void,OutputStream>`
Throws:
  `IOException`

#### getModifiedTime

    public long getModifiedTime(Properties conf)
                         throws IOException

Specified by:
  `getModifiedTime` in class `Tap<Properties,Void,OutputStream>`
Throws:
  `IOException`